Skip to main content
GET
/
v1
/
request
Get
curl --request GET \
  --url https://api.example.com/v1/request
{
  "data": [
    {
      "credentials": [
        {
          "id": "507f1f77bcf86cd799439011",
          "resourceType": "DOCUMENT",
          "status": "PENDING",
          "name": "Identity Document",
          "internalId": "internal-12345"
        }
      ],
      "id": "507f1f77bcf86cd799439011",
      "securityLevel": "CONTACT",
      "subjects": [
        {
          "contact": "user@example.com",
          "did": "did:via:humanos:user-abc123",
          "internalId": "internal-12345",
          "name": "John Doe"
        }
      ],
      "createdAt": "2025-01-15T10:30:00Z",
      "name": "Employee Onboarding Request",
      "language": "ENG",
      "redirectUrl": "https://example.com/callback",
      "internalId": "order-123"
    }
  ],
  "totalPages": 5
}

Query Parameters

pageIndex
number
default:0

Page number

Example:

0

pageSize
number
default:10

Number of items per page

Required range: 5 <= x <= 100
Example:

10

Search query to filter by. Is case-insensitive and does not need to match the entire value.

Maximum string length: 120
Example:

"example"

contact
string

Contact value (email or phone)

Example:

"user@example.com"

did
string

Public Decentralized Identifier (DID) of the user

Example:

"did:via:humanos:user-abc123"

subjectInternalId
string

Identifier to help you identify the user in your own system. We recommend using a unique value.

Example:

"internal-12345"

internalId
string

Filter by internal ID.

Example:

"order-123"

credentialInternalId
string

Filter by credential internal ID.

Example:

"order-123"

securityLevel
enum<string>[]

Filter by security level. Can be a single value or array

Available options:
CONTACT,
ORGANIZATION_KYC,
HUMANOS_KYC,
HUMANOS_REVALIDATION
Example:
["CONTACT", "ORGANIZATION_KYC"]
dateFrom
string<date-time>

Filter from date (will be converted to start of day)

Example:

"2025-01-01"

dateTo
string<date-time>

Filter to date (will be converted to end of day). Requires dateFrom.

Example:

"2025-12-31"

Response

200 - application/json

Returns information about the requests and the total number of pages.

data
RequestEntity · object[]
required

Array of credential requests matching the query parameters

totalPages
number
required

Total number of pages available based on the page size and total count

Example:

5